Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml
Class JavaBeanLoader<T>

    java.lang.Object
      org.yaml.snakeyaml.JavaBeanLoader<T>

Deprecated. use Yaml.loadAs() methods instead

    public class JavaBeanLoader<T>

extends Object

Convenience utility to parse JavaBeans. When the YAML document contains a global tag with the class definition like '!!com.package.MyBean' it is ignored in favour of the runtime class `T`.

See Also:
  `http://www.artima.com/weblogs/viewpost.jsp?thread=208860`

Constructor Summary
`JavaBeanLoader(Class<S> clazz)` Deprecated.
`JavaBeanLoader(Class<S> clazz, BeanAccess beanAccess)` Deprecated.
`JavaBeanLoader(LoaderOptions options, BeanAccess beanAccess)` Deprecated.
`JavaBeanLoader(TypeDescription typeDescription)` Deprecated.
`JavaBeanLoader(TypeDescription typeDescription, BeanAccess beanAccess)` Deprecated.

Method Summary
`T` | `load(InputStream io)` Deprecated. Parse the first YAML document in a stream and produce the corresponding JavaBean.
`T` | `load(Reader io)` Deprecated. Parse the first YAML document in a stream and produce the corresponding Java object.
`T` | `load(String yaml)` Deprecated. Parse the first YAML document in a stream and produce the corresponding JavaBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBeanLoader

    public JavaBeanLoader(TypeDescription typeDescription)

  Deprecated.

### JavaBeanLoader

    public JavaBeanLoader(TypeDescription typeDescription,
                          BeanAccess beanAccess)

  Deprecated.

### JavaBeanLoader

    public JavaBeanLoader(LoaderOptions options,
                          BeanAccess beanAccess)

  Deprecated.

### JavaBeanLoader

    public JavaBeanLoader(Class<S> clazz,
                          BeanAccess beanAccess)

  Deprecated.

### JavaBeanLoader

    public JavaBeanLoader(Class<S> clazz)

  Deprecated.

Method Detail

### load

    public T load(String yaml)

  Deprecated.
  Parse the first YAML document in a stream and produce the corresponding JavaBean.

  Parameters:
    `yaml` - YAML document
  Returns:
    parsed JavaBean

### load

    public T load(InputStream io)

  Deprecated.
  Parse the first YAML document in a stream and produce the corresponding JavaBean.

  Parameters:
    `io` - data to load from (BOM is respected and removed)
  Returns:
    parsed JavaBean

### load

    public T load(Reader io)

  Deprecated.
  Parse the first YAML document in a stream and produce the corresponding Java object.

  Parameters:
    `io` - data to load from (BOM must not be present)
  Returns:
    parsed JavaBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.